# Search point of sale This endpoint allows you to find all the information about the point of sale created using specific filters. **GET** `/pos` ## Request parameters ### Query - `external_id` (string, optional) Unique identifier of the point of sale defined by integrator system. - `external_store_id` (string, optional) The unique store identifier, set by the integrated system and can contain up to 60 characters. - `store_id` (string, optional) Store identifier to which the point of sale belongs. - `category` (string, optional) MCC code that indicates the category of the point of sale. If not specified, it remains as a generic category. ## Response parameters - `paging` (object, optional) Information for pagination of search results. - `paging.total` (number, optional) Number of point of sales found in the search. - `paging.offset` (number, optional) Offset over the total set of data gathered by the search. - `paging.limit` (number, optional) Limit of point of sales returned in the search. - `results` (array, optional) Results found based on the filters used for the search. - `results[].user_id` (number, optional) The user_id corresponds to the collector_id. It refers to the user_id of the Mercado Pago account that receives the money from sales, that is, the account responsible for collecting the funds. - `results[].name` (string, optional) Name of the point of sale. - `results[].fixed_amount` (boolean, optional) Define if the customer can insert the amount to be paid. - `results[].category` (number, optional) MCC code that indicates the category of the point of sale. The only possible categories are Gastronomy and Gas Station, and the code varies depending on the country of operation. If not specified, it remains as a generic category Possible enum values: - `Gas Station` For gas stations, the code must be 473000. - `Gastronomy` For gastronomy, the code must be 621102. - `results[].store_id` (string, optional) Store identifier to which the point of sale belongs. - `results[].external_id` (string, optional) Unique identifier of the point of sale defined by integrator system. - `results[].id` (number, optional) Creation ID of the point of sale. When you register a point of sale, you will receive a corresponding ID. This ID can be used for various operations, including retrieving the point of sale data. - `results[].qr` (object, optional) QR code automatically created to receive payments from the point of sale. - `results[].qr.image` (string, optional) URL of the image of the QR code to be used for receiving payments. - `results[].qr.template_document` (string, optional) URL of the file (in PDF format) of the template containing the QR code to be used for receiving payments. - `results[].qr.template_image` (string, optional) URL of the file (in image format) of the template containing the QR code to be used for receiving payments. - `results[].date_created` (string, optional) Point of sale creation date. This field displays the date and time in ISO 8601 format, such as 2024-08-08T19:29:45.019Z. - `results[].date_last_updated` (string, optional) Date of last modification of the cash register data. This field displays the date and time in ISO 8601 format, such as 2024-08-08T19:29:45.019Z. - `results[].external_store_id` (string, optional) The unique store identifier, set by the integrated system and can contain up to 60 characters. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | INVALID_CATEGORY | CATEGORY must be numeric. | | 400 | INVALID_STORE_ID | STORE_ID must be numeric. | | 400 | INVALID_EXTERNAL_STORE_ID | EXTERNAL_STORE_ID must be string. | | 400 | INEXISTENT_EXTERNAL_STORE_ID | The EXTERNAL STORE_ID does not refer to an existing Store. | | 400 | INVALID_EXTERNAL_ID | The EXTERNAL_ID field must be alphanumeric, only letters and numbers. No spaces, hyphens or special characters. | | 400 | EXTERNAL_ID_TOO_LONG | The EXTERNAL_ID must be less than 40 characters. | | 400 | INVALID_LIMIT | LIMIT must be numeric. | | 400 | INVALID_OFFSET | OFFSET must be numeric. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/pos?external_id=&external_store_id=&store_id=&category=' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "paging": { "total": 1, "offset": 0, "limit": 0 }, "results": [ { "user_id": 446566691, "name": "Caja Principal", "fixed_amount": false, "category": 621102, "store_id": 1234567, "external_id": "SUC001POS001", "id": 1988157, "qr": { "image": "https://www.mercadopago.com/instore/merchant/qr/1988157/1f1da6401a4645e99fa21d3f4ffe0e702c4eab2209784fce9d45c83fa93bd5a7.png", "template_document": "https://www.mercadopago.com/instore/merchant/qr/1988157/template_1f1da6401a4645e99fa21d3f4ffe0e702c4eab2209784fce9d45c83fa93bd5a7.pdf", "template_image": "https://www.mercadopago.com/instore/merchant/qr/1988157/template_1f1da6401a4645e99fa21d3f4ffe0e702c4eab2209784fce9d45c83fa93bd5a7.png" }, "date_created": "2019-06-24T13:31:56.000Z", "date_last_updated": "2019-08-25T15:16:12.000Z", "external_store_id": "SUC001" } ] } ```